<?php

namespace Kolab\FreeBusy;

/**
 * Implementation of a static address directory for Free/Busy user lookups.
 *
 * This directory basically pipes the username through with an optional check
 * whether it matches the configured filter rule
 */
class DirectoryStatic extends Directory
{
	/**
	 * Default constructor loading directory configuration
	 */
	public function __construct($config)
	{
		$this->config = $config;
	}

	/**
	 * @see Directory::resolve()
	 */
	public function resolve($user)
	{
		$result = array('s' => $user);

		// check if user matches the filter property (if configured)
		if (!empty($this->config['filter'])) {
			if (!preg_match('!'.$this->config['filter'].'!i', $user))
			 	$result = false;
		}

		return $result;
	}

}

