<?php

namespace Kolab\FreeBusy;

/**
 * Base class to handle free/busy data format conversion
 */
class Format
{
	protected $config;

	/**
	 * Factory method creating an instace of Format according to the given type
	 *
	 * @param string Format identifier
	 */
	public static function factory($type)
	{
		switch (strtolower($type)) {
			case 'exchange2010':
				return new FormatExchange2010;

			default:
				if (!empty($type)) {
					Logger::get('format')->addError("Unknown format type '$type'!");
				}
				return new Format;
		}

		return null;
	}

	/**
	 * Convert the given free/busy data stream to iCal format
	 *
	 * @param string Input data stream
	 * @return string iCal formatted free/busy list
	 */
	public function toVCalendar($input)
	{
		// default: no format changes
		return $input;
	}


}