<?php

namespace Kolab\FreeBusy;

/**
 * Implementation of a Free/Busy data source reading from the local file system
 */
class SourceFile extends Source
{
	/**
	 * @see Source::getFreeBusyData()
	 */
	public function getFreeBusyData($user, $extended)
	{
		// get source config with placeholders replaced
		$config = $this->getUserConfig($user);

		// deliver file contents if found
		if (is_readable($config['path'])) {
			return file_get_contents($config['path']);
		}

		// not found
		return false;
	}
}
